> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a question & answer by ID

> Retrieves a question & answer by its unique identifier.

## Get a question & answer by ID

Retrieves a question & answer by its unique identifier.

### Path Parameters

<ParamField path name="question_id" type="integer" required>
  No description provided
</ParamField>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "id": 123,
    "user_id": 123,
    "question_text": "string",
    "documents": [
      {
        "id": 123,
        "name": "string",
        "folder_id": {},
        "file_path": {},
        "file_type": "string",
        "file_url": {},
        "summary": "string",
        "visibility": "string",
        "version": 123,
        "owner_id": 123,
        "created_at": "string",
        "updated_at": "string"
      }
    ],
    "plan": {},
    "evidences": [
      {
        "id": 123,
        "question_id": 123,
        "evidence": "string",
        "reasoning": "string",
        "sequence_number": 123,
        "document_id": 123,
        "page_number": {},
        "bboxes": {},
        "created_at": "string",
        "updated_at": "string"
      }
    ],
    "final_answer": {},
    "answer_mode": "string",
    "llm_provider": "string",
    "chunk_type": "string",
    "num_chunks": 123,
    "num_chunks_processed": 123,
    "current_state": "string",
    "created_at": "string",
    "updated_at": "string"
  }
  ```
</ResponseExample>
